{% extends "base.html" %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url "create_project" %}">Create a new project</a>
            </p>
            {% if not projects %}
                <p>You are not assigned to any projects</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <tr>
                                <th> <a href="{% url "show_project" project.pk %}">{{ project.name }}</a></th>
                                <th> {{ project.tasks.all|length }} </th>
                            </tr>
                        {% endfor %}
            {% endif %}
        </tbody>
    </table>
    </div>
    </main>
{% endblock content %}
